## NAME

v.out.scsgef - Converts binary GRASS vector data to ASCII SCS-GEF vector data format.
"(SCS GRASS Vector Data Export Program)

## SYNOPSIS

v.out.scsgef
v.out.scsgef help
v.out.scsgef input=name output=name

## DESCRIPTION

The GRASS program v.out.scsgef allows the user to convert GRASS vector data to SCS-GEF format, for export to other systems.

v.out.scsgef creates the SCS-GEF header, lines, text, and feature files. All files are created and placed in a $LOCATION/gef directory as a single UNIX file under the output name.

The following is the SCS-GEF file structure:

              header record 1
                 |     |
              header record n
              -head
              line record 1
                 |     |
              line record n
              -line
              text record 1
                 |     |
              text record n
              -text
              feature record 1
                 |     |
              feature record n
              -feat

The user will be required to use standard UNIX commands to separate this file into individual files as required by SCS-GEF specifications.

The user can run the program non-interactively by specifying all program arguments on the command line, in the form:

  v.out.scsgef input=name output=name

### Parameters:

input=name
  Name of the binary GRASS vector data file to be converted to SCS-GEF format.
output=name
  Name to be assigned to the SCS-GEF output file created.

If the user does not give the names of an input and output file on the command line, the program will prompt the user to enter these names.

## NOTES

The v.out.scsgef program requires that the input vector map layer have full topological information associated with it. This means that the GRASS program v.support should have been the last program to have effected any changes upon the vector map layer before it is run through v.out.scsgef. If this is not the case, v.out.scsgef will terminate with a message that v.support needs to be run.

## SEE ALSO

v.export, v.import, v.out.ascii, v.out.dlg, v.out.dlg.scs, v.support

## AUTHOR

R.L.Glenn, USDA, SCS, NHQ-CGIS

Last changed: $Date: 2002/01/25 05:45:35 $